// pages/Components/classList/classList.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    showLeaveNum: { //是否显示请假余额
      type: Boolean,
      value: false
    },
    showTime:{ //是否显示上课时间
      type: Boolean,
      value: true
    },
    showFlag:{ //是否显示上课状态
      type: Boolean,
      value: true
    },
    showBtn:{ //是否显示功能按钮
      type:Boolean,
      value: false,
    },
    showRadio:{ //是否显示单选按钮
      type:Boolean,
      value: false,
    },
    date: {
      type: String
    },
    list: {
      type: Array,
      value: []
    }
  },

  /**
   * 组件的初始数据
   */
  data: {

  },

  /**
   * 组件的方法列表
   */
  methods: {
    toPages:function(e){
      wx.navigateTo({
        url: e.currentTarget.dataset.url,
      })
    },
    getLeaveNumList: function () {
      wx.navigateTo({
        url: '/pages/leaveRecord/leaveRecord',
      })
    },
    radioChange:function(e){
      console.log(JSON.stringify(e.detail.value))
    },
  }
})
