// pages/pianoDetail/pianoDetail.js
const app = getApp()
const util = require("../../utils/util")
Page({

  /**
   * 页面的初始数据
   */
  data: {
    imageUrl: app.globalData.imageUrl,
    num: 1,
    initMoney:19.90,
    item:{
      name: '19.9元特惠练琴卡',
      money: '19.90',
      beginDate: '2021-01-01',
      endDate: '2022-01-01'
    },
    id: "",
    payFlag: 1,
    schoolList:[],
    moreFlag: 0,
    isBuy: true,
    downLoadShow: false
  },

  getMoreSchool:function(){
    if(this.data.moreFlag == 0){
      this.setData({
        moreFlag: 1
      })
    } else{
      this.setData({
        moreFlag: 0
      })
    }
  },

  remNum:function(){
    var num = this.data.num
    if(num <= 1){
      return false
    } else {
      num--
      var money = this.data.initMoney
      money = parseFloat(money) * parseFloat(num).toFixed(2)
      this.setData({
        num : num,
       'item.money': money.toFixed(2)
      })
    }
  },

  addNum:function(){
    var num = this.data.num
    if(num >= 10){
      wx.showToast({
        title: '已达单次购买上限',
        icon: "none"
      })
      return
    }
    num++;
    var money = this.data.initMoney
    money = parseFloat(money) * parseFloat(num).toFixed(2)
    this.setData({
      num:num,
      'item.money': money.toFixed(2)
    })
  },

  callPhone(e) {
    const index = e.currentTarget.dataset.index
    const phone = this.data.schoolList[index].CONTRACT_TELEPHONE
   if(phone){
    wx.makePhoneCall({
      phoneNumber: phone
    })
   } else{
     wx.showToast({
       title: '暂无联系电话',
       icon:"none"
     })
   }
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})